LMDE BREAKAGES - (Tracking SID!) -{CLOSED}

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Re: LMDE (Tracking SID) - BREAKAGES - May 1st

Postby zerozero on Fri May 04, 2012 10:25 am

Dan,
apart from the sid breakages the only page google brought to me was this one http://forums.anandtech.com/showthread.php?t=2239676
now, i'm no VB expert (only use it rarely) but in that thread there's a few good hints (i guess) if you know VB
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6485
Joined: Tue Jul 07, 2009 2:29 pm

Linux Mint is funded by ads and donations.
 

Re: LMDE (Tracking SID) - BREAKAGES - May 1st

Postby dcihon on Fri May 04, 2012 2:55 pm

Looks like my only other kernel 2.6.x will not load. xorg issue of some kind.
I guess I am going to venture into other kernel options.
Will post the results soon.
Kernel 3.2.0-3-amd64 x86_64 (64 bit) Distro Linux Mint Xfce Edition
ATI - Tracking - Testing
User avatar
dcihon
Level 4
Level 4
 
Posts: 276
Joined: Sun Aug 07, 2011 2:15 pm
Location: Florissant, MO USA

Re: LMDE (Tracking SID) - BREAKAGES - May 1st

Postby cooleric1234 on Fri May 04, 2012 3:37 pm

dcihon wrote:GregE,
Thanks but I already did that at least 3 times.
That hasn't helped.
I did copy the files over from my old /home folder also.
Thanks
Dan


I had VirtualBox issues and finally gave up on the respository. I downloaded it from their webpage. I think I installed (horror of horrors) the Ubuntu version because, as I recall, it's the only one that's a deb that's fairly recent. Anyway, it's not too bad because it's one of those programs that reminds you when there are updates when you launch it.

P.S. On second thought I think I finally ended up doing the "All Versions" download which is a .run script.
cooleric1234
Level 1
Level 1
 
Posts: 36
Joined: Sat Sep 10, 2011 9:48 pm

Re: LMDE (Tracking SID) - BREAKAGES - May 1st

Postby dcihon on Fri May 04, 2012 4:17 pm

Well that was a fun ride.
I tried smxi.
Looks like it will be fun when I figure out what Video driver type I should load with my Nvidia card.
Right now I tried a couple of them including nvidia-current and all I get is a blank screen. Using kernel 3.3.x liqourox or however that is spelled.
So I am back to the 3.2.0 kernel and what got my virtualbox back up and running was to install the .run file as cooleric suggested.
Thanks to all for the help.
Zero I tried what was in that article but it didn't help me. Thanks for looking that up. I had found that same article in my efforts to fix the problem.
Virtualbox back up and running.
Now on to bigger and better things.
Kernel 3.2.0-3-amd64 x86_64 (64 bit) Distro Linux Mint Xfce Edition
ATI - Tracking - Testing
User avatar
dcihon
Level 4
Level 4
 
Posts: 276
Joined: Sun Aug 07, 2011 2:15 pm
Location: Florissant, MO USA

Re: LMDE (Tracking SID) - BREAKAGES - May 1st

Postby GregE on Fri May 04, 2012 8:00 pm

Dan,

Try this thread for Nvidia, and perhaps read it all (3 pages) before trying anything.

viewtopic.php?f=191&t=82424

Almost there.

:)
User avatar
GregE
Level 4
Level 4
 
Posts: 455
Joined: Sun Jan 16, 2011 6:24 am
Location: Melbourne, Australia

Re: LMDE (Tracking SID) - BREAKAGES - May 1st

Postby GregE on Sat May 05, 2012 5:15 am

Take care, updates to Clutter coming through. They will kill Cinnamon and Gnome Shell
User avatar
GregE
Level 4
Level 4
 
Posts: 455
Joined: Sun Jan 16, 2011 6:24 am
Location: Melbourne, Australia

Re: LMDE (Tracking SID) - BREAKAGES - May 5th

Postby GeneC on Sat May 05, 2012 8:19 am

GregE wrote:Take care, updates to Clutter coming through. They will kill Cinnamon and Gnome Shell


Can verify that today's DU indeed kills Gnome shell (AW Snap!). :lol:
(Gnome-fallback and Mate still work)
Some clutter/mutter packages are withheld, but (gir1.2-mutter-3.0, mutter-common) upgrade, Gnome-Shell does break for me.


Code: Select all
Calculating upgrade... Done

The following NEW packages will be installed:
  deb-multimedia-keyring libcogl9

The following packages have been kept back:
  gir1.2-clutter-1.0 libclutter-1.0-0 libmutter0

The following packages will be upgraded:
  aptitude aptitude-doc-en autopoint debian-multimedia-keyring gettext gettext-base gir1.2-cogl-1.0 gir1.2-coglpango-1.0 gir1.2-mutter-3.0 libasprintf0c2 libcogl-common libcogl-pango0
  libgettextpo0 libpam-modules libpam-modules-bin libpam-runtime libpam0g mutter-common rsyslog w3m
20 upgraded, 2 newly installed, 0 to remove and 3 not upgraded.
Need to get 12.6 MB of archives.
After this operation, 1,736 kB of additional disk space will be used.
Do you want to continue [Y/n] Y
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1561
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE (Tracking SID) - BREAKAGES - May 1st

Postby jlsmith722 on Sat May 05, 2012 9:25 am

Can confirm that both Gnome-Shell and Cinnamon wiped out on my system. XFCE and Gnome classic still work.
Trying to reinstall Cinnamon leads to more troubles.
Code: Select all
Depends: gir1.2-muffin-3.0 but it is not going to be installed
   Found this in Synaptic version 1.0.2-lmde1 it depends on libmuffin0
 Depends: libmuffin0 but it is not going to be installed
   This dependds on libcogl5
 Depends: libcogl5 but it is not going to be installed

jim@jim's-laptop ~ $ sudo apt-get install libcogl5
Reading package lists... Done
Building dependency tree       
Reading state information... Done

The following packages will be REMOVED:
  caribou eog gedit gir1.2-clutter-1.0 gir1.2-gtkclutter-1.0 gir1.2-mutter-3.0 gir1.2-peas-1.0 gir1.2-totem-1.0 gnibbles gnome-games
  libclutter-1.0-0 libclutter-gtk-1.0-0 libclutter-imcontext-0.1-0 libmutter0 libpeas-1.0-0 libseed-gtk3-0 libseed0 libtotem0
  lightsoff quadrapassel swell-foop totem totem-mozilla totem-plugins
The following NEW packages will be installed:
  libcogl5
0 upgraded, 1 newly installed, 24 to remove and 2 not upgraded.
Need to get 231 kB of archives.
After this operation, 32.0 MB disk space will be freed.
Do you want to continue [Y/n]? n
Abort.

XFCE is working fine, but I have a recent clone so I think I will continue to play.

Jim
[size=85]Being intelligent is not a felony. But most societies evaluate it as at least a misdemeanor.
Robert Heinlein
User avatar
jlsmith722
Level 1
Level 1
 
Posts: 48
Joined: Fri Mar 05, 2010 9:38 am

Re: LMDE BREAKAGES - (Tracking SID!) - May 5th

Postby cooleric1234 on Sat May 05, 2012 11:26 am

Yep, I updated something recently and gnome-shell is dead. LXDE is working. I don't have any sense of urgency, is the standard procedure in this instance just to wait it out and hope that a subsequent update will set things right? Or do I have to go back and back out some updates?
cooleric1234
Level 1
Level 1
 
Posts: 36
Joined: Sat Sep 10, 2011 9:48 pm

Re: LMDE BREAKAGES - (Tracking SID!) - May 5th

Postby GeneC on Sat May 05, 2012 11:36 am

cool-e

I beleive that Gnome Shell will work again with upgrades, but we probably have to wait for a new Cinnamon version from Clem
Code: Select all
gene@zordon ~ $ apt-cache policy cinnamon
cinnamon:
  Installed: 1.4.0-lmde1
  Candidate: 1.4.0-lmde1
  Version table:
 *** 1.4.0-lmde1 0
        700 http://packages.linuxmint.com/ debian/main amd64 Packages
        100 /var/lib/dpkg/status
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1561
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - (Tracking SID!) - May 5th

Postby zerozero on Sat May 05, 2012 11:56 am

GeneC wrote: but we probably have to wait for a new Cinnamon version from Clem

i was kinda hoping that this transition would take a bit longer :shock: the way i see it, either you compile it again (it should build against the new sid lib) or wait for UP5 (post maya release afaik)
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6485
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE BREAKAGES - (Tracking SID!) - May 5th

Postby GeneC on Sat May 05, 2012 12:11 pm

'zz'

Yep. Looks like time to resurrect this thread :wink:

Building Cinnamon in SID (from source)
viewtopic.php?t=90277&f=190
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1561
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - (Tracking SID!) - May 5th

Postby jackmetal on Sat May 05, 2012 5:12 pm

:lol: Well, I usually check here before I update but I didn't today and got bit, but Gnome Classic works, so I'm good until it's fixed. :-)

Does anyone happen to know if there is a regular Debian Forum that lists breakages in SID like ours for Linux Mint? Just thinking about bookmarking that one also, as a safeguard.

Thanks!!
-----
LMDE - The ONLY way to go
w/Debian Testing & Debian SID Repo's
User avatar
jackmetal
Level 2
Level 2
 
Posts: 53
Joined: Sun Apr 24, 2011 8:02 am

Re: LMDE BREAKAGES - (Tracking SID!) - May 5th

Postby wayne128 on Sat May 05, 2012 5:37 pm

jackmetal wrote:Does anyone happen to know if there is a regular Debian Forum that lists breakages in SID like ours for Linux Mint? Just thinking about bookmarking that one also, as a safeguard.

Thanks!!


aptosid
siduction, a fork of aptosid
antiX

read the first page on this forum. I think Gene had aptodis/antix/debian
wayne128
Level 10
Level 10
 
Posts: 3322
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE BREAKAGES - (Tracking SID!) - May 5th

Postby GregE on Sun May 06, 2012 10:33 pm

I am a bit frustrated by the killing of my Gnome and the lack of backup that I always have. Looking at the Status of Gnome 3.4 in Debian I am thinking that I might be Gnome free for several weeks. I could reinstall and sit on Testing, or install Mint 12 and activate Ubuntu PPAs and go straight to Gnome 3.4.

Or make Gnome Shell Lite

Install Xfce4 and set it up so that there is only one panel. Set orientation to vertical and set it to auto hide. Make it's height (now width) 50 pixels. Create a couple of launchers for your favourite applications and move them to the new top below the menu icon. Now move mouse to left corner and a toolbar pops up with launchers. The applications menu is the top item (set not to show text just the icon), so there is less mouse travel to get to Applications.

You could put a second toolbar along the bottom with a task switcher if that is what you want.

I have Nautilus set as the default File Manager. The only thing I miss is Evolution for Calendaring. Evolution went bye byes as well. To fix that I have added a default Google Calendar tab to autoload on starting Chrome. It would be nice to get Sushi back in Nautilus.

Gnome Shell Lite has lasted ten minutes now. A desktop environment is, after all, just a way to launch applications.

:)

Edit: I added a clock to Chrome because otherwise I did not have a visible clock. Now I have LMDE ChromeOS version - or something like that.
User avatar
GregE
Level 4
Level 4
 
Posts: 455
Joined: Sun Jan 16, 2011 6:24 am
Location: Melbourne, Australia

Re: LMDE BREAKAGES - (Tracking SID!) - May 5th

Postby GeneC on Mon May 07, 2012 6:36 am

Not missing Gnome Shell/Cinnamon here with Mate installed. :wink:
Image

DU's are still a mess

Code: Select all
Calculating upgrade... Done

The following packages will be REMOVED:

  apturl awn-applets-c-extras banshee evolution-data-server gnome-contacts
  gnome-control-center gnome-online-accounts gnome-session-fallback gnome-user-guide
  libclutter-gtk-0.10-0 libedata-book-1.2-11 libfolks-eds25 libgoa-1.0-0
  libwebkitgtk-1.0-0 libwebkitgtk-3.0-0 libyelp0 metacity mintnanny python-webkit
  startupmanager yelp zenity

The following NEW packages will be installed:

  libdnet libexiv2-12 libroar-compat2 libroar2
The following packages have been kept back:
  gir1.2-clutter-1.0 libclutter-1.0-0 libcogl-pango0 libmutter0

The following packages will be upgraded:

  exiv2 libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 libopenal-data
  libopenal1

5 upgraded, 4 newly installed, 22 to remove and 4 not upgraded.
Need to get 4,175 kB of archives.
After this operation, 101 MB disk space will be freed.
Do you want to continue [Y/n]? n
GeneC

AMD Phenom2x4 3.2 ghz, 12GB DDR3, Nvidia GTX 460

Qiana (Cinnamon)
Sparky XFCE (Debian Testing)
EvolveOS (Budgie)
User avatar
GeneC
Level 7
Level 7
 
Posts: 1561
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: LMDE BREAKAGES - (Tracking SID!) - May 5th

Postby GregE on Mon May 07, 2012 8:25 am

GeneC wrote:Not missing Gnome Shell/Cinnamon here with Mate installed.


And we do have a perfectly good desktop in KDE 4.7 available. I have a big hard drive and plenty of data allowance, I even have Enlightenment installed.

Xfce4 will do me for now. I just hope it resolves sooner rather than later.

:)
User avatar
GregE
Level 4
Level 4
 
Posts: 455
Joined: Sun Jan 16, 2011 6:24 am
Location: Melbourne, Australia

Re: LMDE BREAKAGES - (Tracking SID!) - May 5th

Postby GregE on Mon May 07, 2012 7:58 pm

Rejoice!!!!!!

Gnome Shell is back.
User avatar
GregE
Level 4
Level 4
 
Posts: 455
Joined: Sun Jan 16, 2011 6:24 am
Location: Melbourne, Australia

Re: LMDE BREAKAGES - (Tracking SID!) - May 5th

Postby wayne128 on Mon May 07, 2012 8:26 pm

well, it wants to add gnome stuff onto my xfce partition :evil: :twisted: :?:

Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
capplets-data gnome-sushi-common thunderbird
The following NEW packages will be installed:
alacarte apg aptdaemon-data evolution-data-server finger folks-common
gcc-4.7-base gir1.2-accountsservice-1.0 gir1.2-caribou-1.0 gir1.2-folks-0.6
gir1.2-gconf-2.0 gir1.2-gee-1.0 gir1.2-gkbd-3.0 gir1.2-gmenu-3.0
gir1.2-mutter-3.0 gir1.2-networkmanager-1.0 gir1.2-panelapplet-4.0
gir1.2-polkit-1.0 gir1.2-soup-2.4 gir1.2-telepathyglib-0.12
gir1.2-telepathylogger-0.2 gir1.2-upowerglib-1.0 gir1.2-xkl-1.0 gjs
gnome-applets gnome-applets-data gnome-bluetooth gnome-contacts
gnome-control-center gnome-control-center-data gnome-online-accounts
gnome-panel gnome-panel-data gnome-power-manager gnome-session
gnome-session-fallback gnome-shell gnome-shell-common gnome-themes-standard
gnome-user-guide
iputils-tracepath kmod libbabl-0.1-0 libcaribou-common
libcaribou0 libcdt4 libebackend-1.2-1 libedata-book-1.2-11
libedata-cal-1.2-13 libedataserverui-3.0-1 libfile-fcntllock-perl
libfolks-eds25 libfolks-telepathy25 libfolks25 libgee2 libgegl-0.1-0
libgnome-control-center1 libgnome-menu-3-0 libgoa-1.0-0 libgoa-1.0-common
libgraph4 libgusb2 libgvc5 libgweather-3-0 libgweather-common libjbig0
libkmod2 libkpathsea6 libmagickcore5 libmagickcore5-extra libmagickwand5
libmetacity-private0a libmutter0 libpanel-applet-4-0 libpathplan4
librest-0.7-0 librest-extras-0.7-0 libsocialweb-client2 libsocialweb0
libsystemd-login0 libtelepathy-logger2 libtracker-sparql-0.14-0 libxdot4
metacity metacity-common mutter-common nmap notification-daemon
printer-driver-cjet python-aptdaemon.gtk3widgets ruby-locale
software-properties-common
wayne128
Level 10
Level 10
 
Posts: 3322
Joined: Tue Jul 13, 2010 12:15 am

Re: LMDE BREAKAGES - (Tracking SID!) - May 5th

Postby zerozero on Mon May 07, 2012 8:29 pm

wayne, what are the pkgs that are to upgrade?
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6485
Joined: Tue Jul 07, 2009 2:29 pm

Linux Mint is funded by ads and donations.
 
PreviousNext

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 3 guests